python-dev packages

Wenn du dir nicht sicher bist, in welchem der anderen Foren du die Frage stellen sollst, dann bist du hier im Forum für allgemeine Fragen sicher richtig.
Antworten
Benutzeravatar
jens
Moderator
Beiträge: 8483
Registriert: Dienstag 10. August 2004, 09:40
Wohnort: duisburg
Kontaktdaten:

Freitag 18. März 2005, 14:01

In der README zu den "libmagic python bindings" steht, man muß das "python-dev packages" installiert haben...

Wo bekomme ich denn das her? Auf python.org hab's nicht gefunden...

Wenn ich es mit "python setup.py build" einfach mal so probiere (unter Windows), erhalte ich aber diese Fehlermeldung:
running build
running build_ext
error: The .NET Framework SDK needs to be installed before building extensions for Python.
Also brauche ich das ".NET Framework SDK" ?!?!

CMS in Python: http://www.pylucid.org
GitHub | Open HUB | Xing | Linked in
Bitcoins to: 1JEgSQepxGjdprNedC9tXQWLpS424AL8cd
Leonidas
Administrator
Beiträge: 16024
Registriert: Freitag 20. Juni 2003, 16:30
Kontaktdaten:

Freitag 18. März 2005, 19:54

Es gibt doch Python-dev Pakete. Diese beinhalten meist die Header und die statischen Libs.

Was dir fehlt ist nicht ein Dev Paket (der Python installer ist schon ein Dev paket), dir fehlt ein Compiler, da das Magic Python Binding eine C Erweiterung ist. Als Compiler ist in Python unter Windows .NET C voreingestellt, aber MinGW geht auch (ich kompiliere alle Erweiterungen mit MinGW).
My god, it's full of CARs! | Leonidasvoice vs Modvoice
Antworten